<?php
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.6                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2015                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
	// при ajaxfileupload HTTP_X_REQUESTED_WITH не передается, устанавливем его - костыль :-) см. /core/ajax/ajax_core.php
	$_SERVER['HTTP_X_REQUESTED_WITH'] = 'XMLHttpRequest';

	define('PATH', $_SERVER['DOCUMENT_ROOT']);
	include(PATH.'/core/ajax/ajax_core.php');

	// загружать могут только авторизованные
    if (!$inUser->id) {	cmsCore::halt(); }

	// Получаем компонент, с которого идет загрузка
	$component = cmsCore::request('component', 'str', '');
	// Проверяем установлен ли он
	if(!$inCore->isComponentInstalled($component)) { cmsCore::halt(); }
	// Загружаем конфигурацию компонента
	$cfg = $inCore->loadComponentConfig($component);
	// проверяем не выключен ли он
	if(!$cfg['component_enabled']) { cmsCore::halt(); }

	// id места назначения
	$target_id = cmsCore::request('target_id', 'int', 0);
	// место назначения в компоненте
	$target = cmsCore::request('target', 'str', '');
	
	//$user_id = cmsCore::request('user_id');
	
	include 'components/users/model.php';
	cmsCore::LoadModel('users');
   $model = new cms_model_users();

	if (!isset($cfg['f_size'])) { $cfg['f_size'] = 1024; }
	if (!isset($cfg['f_on'])) { $cfg['f_on'] = 1; }
	if (!isset($cfg['f_max'])) { $cfg['f_max'] = 5; }
    if (!isset($cfg['f_ext'])) { $cfg['f_ext'] = 'txt doc zip rar arj png gif jpg jpeg bmp'; }

	// Разрешена ли загрузка
	//if (!$cfg['f_on']){ cmsCore::jsonOutput(array('error' => $_LANG['UPLOAD_FILE_IS_DISABLE'], 'msg' => ''), false); }
	
$file = $model->addUpdateFileAttachments();
if(!$file){ cmsCore::jsonOutput(array('error' => $_LANG['CHECK_SIZE_TYPE_FILE'].':'.$cfg['f_max'], 'msg' => ''), false);}

$name = $file['filename'];

$fileurl = '/upload/users/messages/'.$name;


 cmsCore::jsonOutput(array('error' =>'', 'msg' => $fileurl,'fnm'=>$name), false);
